<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [FactionWorkType](./bitburner.factionworktype.md)

## FactionWorkType enum


**Signature:**

```typescript
declare enum FactionWorkType 
```

## Enumeration Members

|  Member | Value | Description |
|  --- | --- | --- |
|  field | <code>&quot;field&quot;</code> |  |
|  hacking | <code>&quot;hacking&quot;</code> |  |
|  security | <code>&quot;security&quot;</code> |  |

